playeffect("enter_b",true)
if not flags.firstloc19 then
  flags.firstloc19=true
  CreatePlashechka("484")
end;
if flags.HawkOK then
  setCursor(obj.mini_VhodKBratamGerb_19_0.id,5);
else
setCursor(obj.mini_VhodKBratamGerb_19_0.id,2);
end;
setCursor(obj.mini_VhodKBratamPesok_19_0.id,2);
setCursor(obj.door_VhodKBratamHidden_19_0.id,2);
setCursor(1,7);

function SelectRandom()
  if not neighbors.VhodKBratamHidden.lock then
    giveMeHint(obj.door_VhodKBratamHidden_19_0.id);
  return end
  if obj.magnit and obj.magnit.is_stored then
    giveMeHint(obj.mini_VhodKBratamPesok_19_0.id);
  return end
  if not flags.HawkOK and obj.hawk_coin_20_11 and obj.hawk_coin_20_11.is_collapsed then
    giveMeHint(obj.mini_VhodKBratamGerb_19_0.id);
  return end  
  CreatePlashechka("10001")
end;

if flags.VhodKBratamHidden2 then
  neighbors.VhodKBratamHidden.lock=false
end;

if neighbors.VhodKBratamHidden.lock then
  set_visible_object(obj.door_VhodKBratamHidden_19_0.id,false)
else
  set_visible_object(obj.door_VhodKBratamHidden_19_0.id,true)
end
-- if neighbors.VhodKBratamGerb.lock then
  -- setCursor(obj.mini_VhodKBratamGerb_19_0.id,1)
-- end
if flags.pesok then
  set_visible_object(obj.otvertka_19_0.id,true)
  set_visible_object(obj.grabli_19_0.id,true)
  set_visible_object(obj.VhodKBratamPesok_19_0.id,false)
end
if neighbors.VhodKBratamPesok.lock then
  set_visible_object(obj.otvertka_19_0.id,false)
  set_visible_object(obj.mini_VhodKBratamPesok_19_0.id,false)
end

if not Journal.pages[12] then
  Journal:addText(12,"9022",156,111,330)
  Journal:addPicture(12,"page12",139,210,0,0,368,434);
end

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender,obj_id,attachedID)
  if sender==1 then
    if obj_id==1 then
      jump("Backyard");
    end;
    if obj_id == obj.door_VhodKBratamHidden_19_0.id then
      flags.is_hidden_loc = true;
      jump("VhodKBratamHidden");
    end;
    if obj_id == obj.mini_VhodKBratamPesok_19_0.id then
      CreateSatelite("VhodKBratamPesok");
      playeffect("sat")
    end;
    if obj_id == obj.mini_VhodKBratamGerb_19_0.id then
      if not flags.HawkOK then
        CreateSatelite("LockHawk");
        playeffect("sat")
        else
        jump("ZalBratyev");
      end
    end
  end
end


